WatchGuard NDR Assets API Version History

This page lists updates to the WatchGuard NDR Assets API.

Latest Version

Version 2.0.0: 6 August 2026

  • Version 1 of the WatchGuard NDR Assets API is deprecated and will no longer accept requests after 6 August 2027. Although v1 endpoints continue to accept requests, we strongly recommend that you use Version 2 of the WatchGuard NDR Assets API.
  • Version 2.0.0 of the WatchGuard NDR Assets API includes these endpoints:
    • /{v2}/accounts/{accountId}/assets — Create an Asset
    • /{v2}/accounts/{accountId}/assets — Get Assets
    • /{v2}/accounts/{accountId}/assets/{assetId} — Get a Specific Asset
    • /{v2}/accounts/{accountId}/assets/{assetId} — Update an Asset
    • /{v2}/accounts/{accountId}/assets/{assetId} — Delete an Asset
  • The asset resource path segment is updated from asset to assets.
  • The tenant_name query parameter is renamed to tenantName.
  • The asset_id path parameter is renamed to assetId.
  • These endpoints are removed:
    • /{v1}/accounts/{accountId}/asset/field/{field}
    • /{v1}/accounts/{accountId}/asset/names
  • This endpoint is added to retrieve and filter a list of assets: /{v2}/accounts/{accountId}/assets.

Previous Versions